package com.hys.app.model.erp.enums;

import lombok.Getter;

/**
 * 订单状态枚举
 *
 * @author 张崧
 * @since 2024-01-25
 */
@Getter
public enum WarehouseOutTypeEnum {

    SALE_OUT("SALE_OUT", "销售出库"),
    TRANSFER_OUT("TRANSFER_OUT", "调拨出库"),
    DAMAGE_OUT("DAMAGE_OUT", "报损出库"),
    HAIL_OUT("HAIL_OUT", "租赁出库"),
    BORROW_OUT("BORROW_OUT", "借用出库"),
    OTHER_OUT("OTHER_OUT", "其他出库");

    WarehouseOutTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }

    private final String value;

    private final String label;




}
